/*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * (the "License"); you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
 * WARRANTY OF ANY KIND, either express or implied. See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * The Original Code is the Venice Web Communities System.
 * 
 * The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
 * for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
 * Copyright (C) 2002 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
 * 
 * Contributor(s): 
 */
package com.silverwrist.dynamo.script;

public class LibraryLogger
{
  /*--------------------------------------------------------------------------------
   * Attributes
   *--------------------------------------------------------------------------------
   */

  private ScriptEngine m_engine;

  /*--------------------------------------------------------------------------------
   * Constructor
   *--------------------------------------------------------------------------------
   */

  LibraryLogger(ScriptEngine engine)
  {
    m_engine = engine;

  } // end constructor

  /*--------------------------------------------------------------------------------
   * External operations
   *--------------------------------------------------------------------------------
   */

  public void fatal(Object message)
  {
    m_engine.getCurrentLogger().fatal(message);

  } // end fatal

  public void fatal(Object message, Throwable t)
  {
    m_engine.getCurrentLogger().fatal(message,t);

  } // end fatal

  public void error(Object message)
  {
    m_engine.getCurrentLogger().error(message);

  } // end error

  public void error(Object message, Throwable t)
  {
    m_engine.getCurrentLogger().error(message,t);

  } // end error

  public void warn(Object message)
  {
    m_engine.getCurrentLogger().error(message);

  } // end error

  public void warn(Object message, Throwable t)
  {
    m_engine.getCurrentLogger().error(message,t);

  } // end error

  public void info(Object message)
  {
    m_engine.getCurrentLogger().info(message);

  } // end error

  public void info(Object message, Throwable t)
  {
    m_engine.getCurrentLogger().info(message,t);

  } // end error

  public void debug(Object message)
  {
    m_engine.getCurrentLogger().debug(message);

  } // end error

  public void debug(Object message, Throwable t)
  {
    m_engine.getCurrentLogger().debug(message,t);

  } // end error

  public boolean isInfoEnabled()
  {
    return m_engine.getCurrentLogger().isInfoEnabled();

  } // end isInfoEnabled

  public boolean isDebugEnabled()
  {
    return m_engine.getCurrentLogger().isDebugEnabled();

  } // end isDebugEnabled

} // end class LibraryLogger
